<?php

$accept=false; $BASE=false;
$card=mysql_fetch_array(mysql_query("SELECT * FROM `location` WHERE `id`='$user[locatid]' LIMIT 1"),MYSQL_ASSOC);
if ($card){$BASE=eject_coord_base($card['card']);}
if(isset($BASE[$user['coord']]) and substr_count($BASE[$user['coord']],'medik')){$accept=true;}
if(!$accept)
{
mset_err("Здесь нет медика");
header("Location: index.php?l=locat"); exit;
}



$_SESSION['title']="Медик ";
heads($headers_page, $set_ob_start);   //подключение шапки
include_once SYS."/navmenu.php";
$med_price=25*$user['level'];
if(isset($_GET['med']))
{
  if($user['kredits']>=$med_price)
  {
  mysql_query("UPDATE `user` SET `live`='$user[maxlive]', `energy`='$user[maxenergy]', `kredits`=(`kredits`-$med_price) WHERE `id`='$user[id]' LIMIT 1");
  #echo mysql_error()."<br />";
    if (mysql_affected_rows()>0){mset_msg("Вы полностью излечены!");}else{mset_err("Медик не может вылечить Вашу травму!");}
  }else{
  mset_err("У Вас нет денег на лечение!");
  }
header("Location: index.php?l=medik");exit;
}
if ($user['live']==$user['maxlive'] and $user['energy']==$user['maxenergy'])
{
$text_med="Ну, рад сообщить что здоровье у Вас отличное!";
}else {
$text_med="Понятно! За $med_price деревянных готов вылечить тебя. <br /> 
<a href='?l=medik&med'> лечиться</a> ";
}
echo "<div class='msgh'> 
Что у тебя? Ранение? Облучение?<br />
Давай гляну...<br />
$text_med
</div>";
?>
